Skip to main content
GET
/
v2
/
telematics
/
ref-hos-malfunction-codes
List HOS Malfunction Codes
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/ref-hos-malfunction-codes \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "malfunction_code": "<string>",
      "eld_code": "<string>",
      "category": "<string>",
      "description": "<string>"
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
RefHosMalfunctionCode · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page